Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001190Core InformActionspublic2014-02-01 10:252014-05-07 07:33
ReporterEleas 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version 
Target VersionFixed in Version6L02 
Summary0001190: Reference to action name in a To Decide phrase cases compilation to fail
DescriptionC:\Program Files (x86)\Inform 7\Compilers\inform-632 \
    -kwSDv5 +include_path=..\Source,.\ auto.inf output.z5
Inform 6.32 for Win32 (18th November 2010)
auto.inf(25612): Error: No such constant as "STORED_ACTION_TY_Part"
Compiled with 1 error and 1385 suppressed warnings

Compiler finished with code 1
Minimal Source Text To Reproduce
To decide which object is target of (behavior - a stored action):
	if the action name part of the behavior is the dropping action:
		decide on the location of the player;
	decide on nothing.

There is a room. 
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
related to 0000836closedgraham List code not included for lists in parameters 

-  Notes
(0002427)
zarf (developer)
2014-02-01 10:40

The stored-action handler code is only compiled in if at least one dynamic data object is defined. So you can work around this by adding the line

Foo is an indexed text that varies.

The same #ifdef test wraps the indexed-text code. So this is probably the same as bug 836, or at least (I hope) fixed by the same changes.
(0002429)
graham (administrator)
2014-02-01 12:31

Yes, this no longer happens.

- Issue History
Date Modified Username Field Change
2014-02-01 10:25 Eleas New Issue
2014-02-01 10:40 zarf Note Added: 0002427
2014-02-01 10:40 zarf Assigned To => graham
2014-02-01 10:40 zarf Status new => confirmed
2014-02-01 10:40 zarf Relationship added related to 0000836
2014-02-01 12:31 graham Note Added: 0002429
2014-02-01 12:31 graham Status confirmed => resolved
2014-02-01 12:31 graham Resolution open => fixed
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker